      subroutine sub(a,b,v,n)

         implicit    none

         integer     n
         real*8      a, b, v(n)

         integer     i


         write(*,*) 'sub: a = ', a
         write(*,*) 'sub: b = ', b
         write(*,*) 'sub: n = ', n
         do i = 1 , n 
            write(*,*) 'sub: v(', i, ') = ', v(i)
         end do

         return

      end
